<template>
  <v-dialog
    v-model="first_boot"
    max-width="600px"
    class="elevation-1"
    transition="fab-transition"
    @input="on_close()"
  >
    <v-card flat>
      <v-img :src="require('@/assets/logo.svg')" height="250" contain />
      <v-card-title class="justify-center text-h4"
        >Welcome to Forecast</v-card-title
      >
      <v-card-subtitle align="center" class="mt-3"
        ><p class="text-h5 text--primary">
          <span class="font-weight-medium">FOR</span>c<span
            class="font-weight-medium"
            >E
          </span>
          <span class="font-weight-medium">C</span>ontrol
          <span class="font-weight-medium">A</span>lgorithm<span
            class="font-weight-medium"
            >S T</span
          >estbench
        </p></v-card-subtitle
      >
      <v-card-text>
        <v-row justify="center">
          <v-col v-if="updates.has_updated" cols="12" align="center">
            <p class="text-h6">
              ForecastUI has been updated successfully!
            </p>
            <p class="text-h5">
              {{ updates.previous_version }}
              <v-icon>mdi-arrow-right-bold</v-icon>
              {{ updates.current_version }}
            </p>
          </v-col>
        </v-row>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  name: "FirstBoot",
  props: ["first_boot", "updates"],
  methods: {
    on_close() {
      this.$emit("closed");
    },
  },
};
</script>